# PSF-LoginServer - master - net.psforever.objects.definition.ExoSuitDefinition
PSF - LoginServer - master - net.psforever.objects.definition.ExoSuitDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.ExoSuitDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

c

net.psforever.objects.definition

# ExoSuitDefinition 

###
Companion object ExoSuitDefinition

#### class ExoSuitDefinition extends BasicDefinition with ResistanceProfileMutators with DamageResistanceModel

A definition for producing the personal armor the player wears. Players are influenced by the exo-suit they wear in a variety of ways, with speed and available equipment slots being major differences.

Source
  ExoSuitDefinition.scala

Linear Supertypes
DamageResistanceModel, DamageAndResistance, ResistanceProfileMutators, ResistanceProfile, BasicDefinition, AnyRef, Any
Known Subclasses
SpecialExoSuitDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExoSuitDefinition
2. DamageResistanceModel
3. DamageAndResistance
4. ResistanceProfileMutators
5. ResistanceProfile
6. BasicDefinition
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ExoSuitDefinition(suitType: types.ExoSuitType.Value)

   suitType

     the `Enumeration` corresponding to this exo-suit

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CapacitorDrainPerSecond: Int
5.  def CapacitorDrainPerSecond_=(value: Int): Int
6.  def CapacitorRechargeDelayMillis: Int
7.  def CapacitorRechargeDelayMillis_=(value: Int): Int
8.  def CapacitorRechargePerSecond: Int
9.  def CapacitorRechargePerSecond_=(value: Int): Int
10.  def DamageUsing: Selector
    Definition Classes
      DamageResistanceModel → DamageAndResistance
11.  def DamageUsing_=(selector: Selector): Selector
    Definition Classes
      DamageResistanceModel
12.  def Descriptor: String
    Definition Classes
      BasicDefinition
13.  def Descriptor_=(description: Option[String]): String
    Definition Classes
      BasicDefinition
14.  def Descriptor_=(description: String): String
    Definition Classes
      BasicDefinition
15.  def Holster(slot: Int, value: equipment.EquipmentSize.Value): equipment.EquipmentSize.Value
16.  def Holster(slot: Int): equipment.EquipmentSize.Value
17.  def Holsters: Array[equipment.EquipmentSize.Value]
18.  def InventoryOffset: Int
19.  def InventoryOffset_=(offset: Int): Int
20.  def InventoryScale: InventoryTile
21.  def InventoryScale_=(scale: InventoryTile): InventoryTile
22.  def MaxArmor: Int
23.  def MaxArmor_=(armor: Int): Int
24.  def MaxCapacitor: Int
25.  def MaxCapacitor_=(value: Int): Int
26.  def Model: Form
    Definition Classes
      DamageResistanceModel → DamageAndResistance
27.  def Model_=(selector: Form): Form
    Definition Classes
      DamageResistanceModel
28.  def Name: String
    Definition Classes
      BasicDefinition
29.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
30.  def Permissions: List[Certification]
31.  def Permissions_=(certs: List[Certification]): List[Certification]
32.  def RadiationShielding: Float
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
33.  def RadiationShielding_=(resist: Float): Float
    Definition Classes
      ResistanceProfileMutators
34.  def Resist(dtype: vital.base.DamageType.Value): Float
    Definition Classes
      ResistanceProfile
35.  def ResistUsing: ResistanceSelection
    Definition Classes
      DamageResistanceModel → DamageAndResistance
36.  def ResistUsing_=(selector: ResistanceSelection): ResistanceSelection
    Definition Classes
      DamageResistanceModel
37.  def ResistanceAggravated: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
38.  def ResistanceAggravated_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
39.  def ResistanceDirectHit: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
40.  def ResistanceDirectHit_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
41.  def ResistanceSplash: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
42.  def ResistanceSplash_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
43.  def Subtract: DamageProfile
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
44.  def SuitType: types.ExoSuitType.Value
45.  def Use: ExoSuitDefinition
46.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
47.  def calculate(data: DamageInteraction, resolution: vital.base.DamageType.Value): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    resolution

      an explicit damage resolution overriding the one provided

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
48.  def calculate(data: DamageInteraction): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
49.  var capacitorDrainPerSecond: Int
    Attributes
      protected
50.  var capacitorRechargeDelayMillis: Int
    Attributes
      protected
51.  var capacitorRechargePerSecond: Int
    Attributes
      protected
52.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
53.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
54.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
55.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
56.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
57.  def hashCode(): Int
    Definition Classes
      ExoSuitDefinition → AnyRef → Any
58.  val holsters: Array[equipment.EquipmentSize.Value]
    Attributes
      protected
59.  var inventoryOffset: Int
    Attributes
      protected
60.  var inventoryScale: InventoryTile
    Attributes
      protected
61.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
62.  var maxArmor: Int
    Attributes
      protected
63.  var maxCapacitor: Int
    Attributes
      protected
64.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
65.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
66.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
67.  var permissions: List[Certification]
    Attributes
      protected
68.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
69.  def toString(): String
    Definition Classes
      AnyRef → Any
70.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
71.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
72.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from DamageResistanceModel

### Inherited from DamageAndResistance

### Inherited from ResistanceProfileMutators

### Inherited from ResistanceProfile

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped